package com.patzn.lims.consume.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.consume.dto.LmsChemicalDTO;
import com.patzn.lims.consume.vo.LmsChemicalVO;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.consume.entity.LmsChemical;

import java.util.List;

/**
 * <p>
 * 试验耗材表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-21
 */
public interface ILmsChemicalService extends IBaseService<LmsChemical> {

    Page<LmsChemicalDTO> page(Page<LmsChemicalDTO> page, Account account, LmsChemicalDTO dto);

    Page<LmsChemicalVO> pageVO(Page page, LmsChemicalVO vo);

    Page<LmsChemical> pageIncludeClassify(Page page, Long classifyId, LmsChemical lmsChemical);

    Page<LmsChemical> pageExcludeClassify(Page page, Account account, Long classifyId, LmsChemical lmsChemical);


    List<LmsChemical> listByIdList(List<Long> idList);


    boolean saveClassified(List<Long> chemicalIdList);
}
